List patients

GET
/patients

Authorization

BearerAuth
AuthorizationBearer <token>

Medblocks API key for server-side requests.

In: header

Query Parameters

limit?integer

Maximum number of items to return.

Default10
Range1 <= value <= 100
starting_after?string

Pagination cursor from next_cursor.

patient_id?string

Exact-match filter on patient_id.

email?string

Exact-match filter on email.

Header Parameters

Version?string

Date-pinned API version. If omitted, Medblocks uses the version pinned on your API key.

Response Body

application/json

application/json

curl -X GET "https://example.com/patients" \  -H "Version: 2026-04-25"
{  "resource_type": "list",  "data": [    {      "id": "user_42",      "resource_type": "patient",      "email": "jane@example.com",      "name": "Jane Doe",      "metadata": {        "plan": "premium"      },      "created_at": "2026-04-25T14:30:00.000Z"    }  ],  "has_more": false,  "next_cursor": null}
{  "error": {    "type": "authentication_error",    "code": "invalid_api_key",    "message": "API key invalid",    "param": null,    "doc_url": "https://docs.medblocks.com/errors/invalid_api_key",    "request_id": "9c9b6f7a-8e4f-4a3b-9c1e-6f3a2d8b7c4d"  }}
Non-2xx responses use the standard API error envelope. Log error.code and error.request_id for support.